### Function

# Gimp Item id_is_valid

since: 3.0

#### Declaration [src]

    gboolean
    gimp_item_id_is_valid (
      gint item_id
    )

#### Description [src]

Returns `TRUE` if the item ID is valid.

This procedure checks if the given item ID is valid and refers to an existing item.

Note: in most use cases, you should not use this function. If you got a `GimpItem` from the API, you should trust it is valid. This function is mostly for internal usage.

Available since: 3.0

#### Parameters

`item_id`

  Type: `gint`

  The item ID to check.

#### Return value

Type: `gboolean`

Whether the item ID is valid.